Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/41552/?format=api
{ "ob_id": 41552, "uuid": "a697ee6a3b314d4b866ec73d613369bb", "title": "C3S: Obs4MIPs format GOME-type Total Ozone Essential Climate Variable (GTO-ECV), Version 9.0", "abstract": "This dataset contains a time series of monthly averaged total ozone column data from nadir-viewing satellite sensors in Obs4MIPs format. It has been reformated from Version 9 of the GOME-type Total Ozone Essential Climate Variable (GTO-ECV) product, that has been generated as part of the European Union Copernicus Climate Change Service (C3S) ozone project. \r\n\r\nGTO-ECV is generated by combining measurements from several nadir-viewing satellite sensors (GOME/ERS-2, SCIAMACHY/Envisat, OMI/Aura, GOME-2/MetOp-A, GOME-2/MetOp-B, TROPOMI/Sentinel-5P, and GOME-2/MetOp-C) into one single cohesive record. The merging approach was developed in the framework of the European Space Agency’s Climate Change Initiative (ESA-CCI) ozone project.", "keywords": "ozone, C3S, CCI, obs4mips", "publicationState": "citable", "dataPublishedTime": "2024-11-19T15:45:02", "doiPublishedTime": "2024-11-19T16:48:23.621197", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43234/?format=api", "dataPath": "/neodc/obs4MIPs/DLR-BIRA/C3S-GTO-ECV-9-0/mon/toz/gn/v20231115/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 426995487, "numberOfFiles": 7, "fileFormat": "Data are in NetCDF format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11601/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6021/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6022/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/6023/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50415/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50417/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50444/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60438/?format=api" ], "dataLineage": "The original GTO Version 9 product was generated as part of the European Union Copernicus Climate Change Service (C3S) ozone project. The merging approach was developed in the framework of the European Space Agency's Climate Change Initiative (ESA-CCI) ozone project.\r\n\r\nData were converted to Obs4MIPs format within the ESA CCI Climate Modellers User Group (CMUG) project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13207/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202476/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202478/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202479/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202480/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202481/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202482/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202483/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202491/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/202492/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205649/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205650/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205651/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/41963/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2640/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://creativecommons.org/licenses/by-nc-nd/4.0/", "licenceClassifications": "personal, academic, policy" } ], "discoveryKeywords": [] }